jQuery(document).ready(function ($) {
	"use strict";

	//scroll to top
	$(document).ready(function(){
		$(window).scroll(function () {
			if ($(this).scrollTop() > 0) {
				$('#scroller').fadeIn();
			} else {
				$('#scroller').fadeOut();
			}
		});
		$('#scroller').on('click', function () {
			$('body,html').animate({
				scrollTop: 0
			}, 400);
			return false;
		});
	});
	/* Sticky Top menu*/
	var $menu = $("#stickymenu");
	if($(window).width()>960){
		$(window).scroll(function(){
			if ( $(this).scrollTop() > 100 && $menu.hasClass("default") ){
				$menu.removeClass("default").addClass("fixed animated slideInDown");
			} else if($(this).scrollTop() <= 100 && $menu.hasClass("fixed")) {
				$menu.removeClass("fixed animated slideInDown").addClass("default");
			}
		});
	}
	 /* Page loading animation */
	jQuery(document).ready(function ($) {
		setTimeout(function() {
			var $preloader = $("#page-preloader");
			$preloader.delay(600).fadeOut("slow");
		}, 2000 );
	});
	/* Search Line in menu*/
	$('.open-search, .search-sbmt-close').click(function () {
		$('.search-block').toggleClass('opened-search');
		$('.open-search').toggleClass('opacity0');
	});
	/* Show menu container in Header 4 */
	$('#show4').click(function () {
		$('.menu-container').css('top', '0');
	});
	$('#hide4').click(function () {
		$('.menu-container').css('top', '-3000px');
	});

});
